Index: /extensions/Autosize/admin/admin_autosize.php
===================================================================
--- /extensions/Autosize/admin/admin_autosize.php	(revision 10844)
+++ /extensions/Autosize/admin/admin_autosize.php	(revision 10845)
@@ -83,5 +83,5 @@
 
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
-load_language('lang', AUTOSIZE_PATH ); 
+load_language('plugin.lang', AUTOSIZE_PATH ); 
 // *************************************************************************
 // |                          Sélection de l'onglet                        |
@@ -121,5 +121,5 @@
 
  $message="
-    <script id='dimensions' src='./plugins/Autosize/js/jquery.dimensions.js'></script>
+    <script id='dimensions' src='./plugins/Autosize/js/autosize.dimensions.js'></script>
     <script id='Affiche_script' src='./plugins/Autosize/js/Affiche_script.js'></script>
     <fieldset id='fieldset'>
Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 10844)
+++ /extensions/Autosize/autosize.inc.php	(revision 10845)
@@ -55,7 +55,11 @@
       $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
     $template->set_filenames(array('autosize_init_header'=> $file ));
-    $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );	
-
-    $DEBUG = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : "false" ; 
+    $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );
+//=================================================================================================
+$DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
+$DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
+$DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
+//=================================================================================================
+
     $autosize_parametres =	 cl_autosize_Get_Options() ;			
     $theme=$user['theme'];
@@ -68,5 +72,5 @@
                         						 
         'theme' => $theme  ,
-        'DEBUG' => $DEBUG   ,
+        'DEBUG_autosize' =>  $DEBUG_autosize ,
         'AUTOSIZE_PATH' => str_replace("../","",AUTOSIZE_PATH)  ,
         'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
@@ -79,5 +83,5 @@
  //===========================================================
  /*
-  * cl_autosize_script_2
+  * cl_autosize_script_2(admin)
  */
  static public function cl_autosize_script_2()
@@ -87,5 +91,11 @@
 
 			$my_path = dirname(__FILE__).'/';
-			$DEBUG =  isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : "false"  ; 
+//=================================================================================================
+$DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
+$DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
+$DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
+//=================================================================================================
+
+
 			$ma_page=isset($page['body_id'])?$page['body_id']:"" ;
 			$theme=$user['theme'];
@@ -99,5 +109,5 @@
 					
 					'theme' => $theme  ,
-					'DEBUG' => $DEBUG   ,
+					'DEBUG_autosize' => $DEBUG_autosize   ,
 					'AUTOSIZE_PATH' => AUTOSIZE_PATH
 					)
@@ -143,5 +153,5 @@
 		global  $conf,$lang ,$user,$userdata;
     if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
-		load_language('lang', AUTOSIZE_PATH);
+		load_language('plugin.lang', AUTOSIZE_PATH);
 		$my_path = dirname(__FILE__).'/';
 		 if (isset( $page['body_id']) && $page['body_id']=='thePicturePage'  ) {
@@ -173,8 +183,8 @@
 						$template->assign('cl_autosize_button', 
 						array(	'cl_autosize_info' => 'cl_autosize_info' ,
-								'cl_autosize_info_2' => 'cl_autosize_info_2' ,    
-								'URL' => $_SERVER['REQUEST_URI'] ,
-								'ICON2' => AUTOSIZE_PATH . 'icons/button-maximize.png',
-								'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png'
+								    'cl_autosize_info_2' => 'cl_autosize_info_2' ,    
+								    'URL' => $_SERVER['REQUEST_URI'] ,
+								    'ICON2' => AUTOSIZE_PATH . 'icons/button-maximize.png',
+								    'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png'
 								)
 
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 10844)
+++ /extensions/Autosize/include/affiche.php	(revision 10845)
@@ -10,10 +10,12 @@
 $cl_plugin=isset($cl_plugin)?$cl_plugin:"";
 $cl_visible=isset($conf['cl_auto']) ? $conf['cl_auto'] : 'true' ; 
- $DEBUG=isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
-$DEBUG= isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG ; 
- 
- $my_path = AUTOSIZE_PATH_ABS;
-$theme=$user['theme'];
-$user_status = $user['status'] ;
+//=================================================================================================
+$DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
+$DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
+$DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
+//=================================================================================================
+  $my_path = AUTOSIZE_PATH_ABS;
+  $theme=$user['theme'];
+  $user_status = $user['status'] ;
 
                    $template->assign( array( 
@@ -28,5 +30,5 @@
   	$template->assign(
   					array(
-            'DEBUG' =>  $DEBUG   ,
+            'DEBUG_autosize' =>  $DEBUG_autosize   ,
             'cl_visible' =>  $cl_visible,
             'cl_version' => $cl_version,
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 10844)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 10845)
@@ -61,5 +61,5 @@
                                          function (i) {
                                              jQuery(Parent).css({ opacity: "1" });
-                                             if (DEBUG == "true") {
+                                             if (DEBUG_autosize == "true") {
                                                  bp1 = jQuery('.debug').get(nu_img);
                                                  if (!bp1) nu_img = 0;
@@ -286,5 +286,5 @@
          rapport = -1;
          marges_llgbo = 0;
-         pos = 0;
+
          //=============================================================
          Type_Img = "";
@@ -365,5 +365,5 @@
            //
            //if (options.imageAutosize) return true ;stripped
-           if (DEBUG == "true") {
+           if (DEBUG_autosize == "true") {
              nu_img += 1;
 
@@ -533,5 +533,5 @@
              case "img_autre":
                if (!TheImg) {
-                 if (DEBUG == "true") alert("TheImg=null");
+                 if (DEBUG_autosize == "true") alert("TheImg=null");
                  return true;
 
@@ -1036,21 +1036,31 @@
                  if (typeof (currentTab) == "undefined") inittoolbar();
                  else initializeImageMode("resize");
+               } else {
+                 tp = gallyPP.getImageProp();
+                 if (typeof (GallyPP) == "function")
+                   gallyPP = new GallyPP();
+
+                iph= jQuery("#imageHeaderBar").infos();
+                jQuery("#imageToolBar").css({ top: iph.bottom + "px", position: "absolute" });
+
                }
                //===========================================================================
 
                if (jQuery("#navThumbPrev").length > 0) {
-                 jQuery("#navThumbPrev").css({ height: info_img.height + "px",
-                   overflow: "hidden"
-                 });
+               jQuery("#navThumbPrev").css({ left: 20 + "px",
+               overflow: "hidden"
+               });
 
                }
                if (jQuery("#navThumbNext").length > 0) {
-                 jQuery("#navThumbNext").css({ height: info_img.height + "px",
-                   overflow: "hidden"
-                 });
-
-               }
-               //jQuery("#gbo").width();
-               jQuery(Cadre).width(img_finale.width + marges_llgbo);
+               jQuery("#navThumbNext").css({ right: 20 + "px",
+               overflow: "hidden"
+               });
+
+               }
+               */
+
+               //=============================================================================
+
 
                if (!theme.match(RegExp("lapis", "gi"))) {
@@ -1077,21 +1087,21 @@
 
            }
-           //  --- rglage de la hauteur de page en fonction du copyright-----------
-           if (typeof (pos) == "undefined") pos = jQuery("#copyright").infos();
-           if (pos != jQuery("#copyright").infos())
-             pos = jQuery("#copyright").infos();
+           //  --- réglage de la hauteur de page en fonction du copyright-----------
+           if (typeof (pos_copyright) == "undefined") pos_copyright = jQuery("#copyright").infos();
+
            if (theme.match(RegExp("stripped", "gi"))) {
              var TitleBox = jQuery("#imageTitleContainer");
              if (TitleBox.length != 0) TitleBox.css("width", img_finale.width + "px");
            } else {
-             if (pos.top > 100)
-               jQuery("#the_page").height(pos.top);
-
-           }
+             if (pos_copyright.top > 100) {
+               jQuery("#the_page").height(pos_copyright.top);
+             }
+           }
+
 
            if (!theme.match(RegExp("luciano", "gi"))) {
-             jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
-             jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
-             jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
+           jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
+           jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
+           jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
            }
            info_frame = jQuery(Cadre).infos();
@@ -1104,8 +1114,8 @@
 
            } else {
-             pos = "absolute";
+
              t1 = info_frame.top;
              l1 = info_frame.left;
-             info_theImageBox = jQuery(Parent).infos();
+             info_theImageBox = jQuery(Parent).infos(); //theImage
            }
 
@@ -1113,14 +1123,14 @@
            info_theImageBox.top = t1;
            info_theImageBox.left = l1;
-           info_theImageBox.pos = "absolute";
+           //  info_theImageBox.position = "absolute";
            Window_Affichage = info_theImageBox;
-           if (DEBUG == "true") {
+           if (DEBUG_autosize == "true") {
              //   jQuery(Cadre).css("border", "solid green");
 
-             jQuery("#Debug5").css({ background: "transparent",
-               position: pos,
+             jQuery("#Debug5").css({ background: "red",
+               position: "absolute",
                border: "green solid 2px",
                textAlign: align_auto,
-               margin: Window_Affichage.margin.margin,
+               margin: "auto",
                top: Window_Affichage.top + "px",
                left: Window_Affichage.left + "px",
@@ -1328,5 +1338,6 @@
             marginRight: "4px",
             marginTop: "0px",
-            marginBottom: "0px", position: "relative"
+            marginBottom: "0px",
+            position: "relative"
         });
 
@@ -1486,5 +1497,5 @@
 //====================================================
 function Debug_pos() {
-    if (DEBUG == "true") {
+    if (DEBUG_autosize == "true") {
 
         jQuery("[id ^='Debug']").show();
@@ -1520,4 +1531,8 @@
 
 jQuery(function () {
+  //'gallyInterfaceReady' 
+            jQuery(Document).live('gallyInterfaceReady',function () {
+               alert("Clic sur a#test1.");
+            });
     jQuery('#pamoorama').live('ON', function (e) {
         jQuery(jQuery('.debug').get(1)).trigger('ON');
@@ -1566,7 +1581,7 @@
 
     // Add 10 testing debugs to start with
-    jQuery(window).load(function () {
-        DEBUG = (typeof DEBUG != "undefined") ? DEBUG : "false";
-        if (DEBUG == "true") {
+      jQuery(window).load(function () { 
+            DEBUG_autosize = (typeof DEBUG_autosize != "undefined") ? DEBUG_autosize : "false";
+        if (DEBUG_autosize == "true") {
             for (var i = 0; i < 10; i++) {
                 jQuery('#adddebugs').click();
Index: /extensions/Autosize/js/autosize.cookie.js
===================================================================
--- /extensions/Autosize/js/autosize.cookie.js	(revision 10845)
+++ /extensions/Autosize/js/autosize.cookie.js	(revision 10845)
@@ -0,0 +1,96 @@
+/**
+ * Cookie plugin
+ *
+ * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
+ * Dual licensed under the MIT and GPL licenses:
+ * http://www.opensource.org/licenses/mit-license.php
+ * http://www.gnu.org/licenses/gpl.html
+ *
+ */
+
+/**
+ * Create a cookie with the given name and value and other optional parameters.
+ *
+ * @example $.cookie('the_cookie', 'the_value');
+ * @desc Set the value of a cookie.
+ * @example $.cookie('the_cookie', 'the_value', { expires: 7, path: '/', domain: 'jquery.com', secure: true });
+ * @desc Create a cookie with all available options.
+ * @example $.cookie('the_cookie', 'the_value');
+ * @desc Create a session cookie.
+ * @example $.cookie('the_cookie', null);
+ * @desc Delete a cookie by passing null as value. Keep in mind that you have to use the same path and domain
+ *       used when the cookie was set.
+ *
+ * @param String name The name of the cookie.
+ * @param String value The value of the cookie.
+ * @param Object options An object literal containing key/value pairs to provide optional cookie attributes.
+ * @option Number|Date expires Either an integer specifying the expiration date from now on in days or a Date object.
+ *                             If a negative value is specified (e.g. a date in the past), the cookie will be deleted.
+ *                             If set to null or omitted, the cookie will be a session cookie and will not be retained
+ *                             when the the browser exits.
+ * @option String path The value of the path atribute of the cookie (default: path of page that created the cookie).
+ * @option String domain The value of the domain attribute of the cookie (default: domain of page that created the cookie).
+ * @option Boolean secure If true, the secure attribute of the cookie will be set and the cookie transmission will
+ *                        require a secure protocol (like HTTPS).
+ * @type undefined
+ *
+ * @name $.cookie
+ * @cat Plugins/Cookie
+ * @author Klaus Hartl/klaus.hartl@stilbuero.de
+ */
+
+/**
+ * Get the value of a cookie with the given name.
+ *
+ * @example $.cookie('the_cookie');
+ * @desc Get the value of a cookie.
+ *
+ * @param String name The name of the cookie.
+ * @return The value of the cookie.
+ * @type String
+ *
+ * @name $.cookie
+ * @cat Plugins/Cookie
+ * @author Klaus Hartl/klaus.hartl@stilbuero.de
+ */
+jQuery.cookie = function(name, value, options) {
+    if (typeof value != 'undefined') { // name and value given, set cookie
+        options = options || {};
+        if (value === null) {
+            value = '';
+            options.expires = -1;
+        }
+        var expires = '';
+        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
+            var date;
+            if (typeof options.expires == 'number') {
+                date = new Date();
+                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
+            } else {
+                date = options.expires;
+            }
+            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
+        }
+        // CAUTION: Needed to parenthesize options.path and options.domain
+        // in the following expressions, otherwise they evaluate to undefined
+        // in the packed version for some reason...
+        var path = options.path ? '; path=' + (options.path) : '';
+        var domain = options.domain ? '; domain=' + (options.domain) : '';
+        var secure = options.secure ? '; secure' : '';
+        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
+    } else { // only name given, get cookie
+        var cookieValue = null;
+        if (document.cookie && document.cookie != '') {
+            var cookies = document.cookie.split(';');
+            for (var i = 0; i < cookies.length; i++) {
+                var cookie = jQuery.trim(cookies[i]);
+                // Does this cookie string begin with the name we want?
+                if (cookie.substring(0, name.length + 1) == (name + '=')) {
+                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
+                    break;
+                }
+            }
+        }
+        return cookieValue;
+    }
+};
Index: /extensions/Autosize/js/autosize.dimensions.js
===================================================================
--- /extensions/Autosize/js/autosize.dimensions.js	(revision 10845)
+++ /extensions/Autosize/js/autosize.dimensions.js	(revision 10845)
@@ -0,0 +1,366 @@
+/* Copyright (c) 2007 Paul Bakaus (paul.bakaus@googlemail.com) and Brandon Aaron (brandon.aaron@gmail.com || http://brandonaaron.net)
+* Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php)
+* and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
+*
+* $LastChangedDate: 2007-12-20 08:43:48 -0600 (Thu, 20 Dec 2007) $
+* $Rev: 4257 $
+*
+* $LastChangedDate: 2010-10-23 08:43:48 -0600 (Thu, 20 Dec 2007) $
+* By cljosse
+* Version: 1.2
+*
+* Requires: jQuery 1.2+
+* 
+*/
+(function (jQuery) {
+  jQuery.dimensions = { version: '1.3' };
+  /*
+  * Interception Height, Width
+  */
+  jQuery.each(['Height', 'Width'],
+        function (i, name) {
+          jQuery.fn['inner' + name] = function () {
+            if (!this[0]) return;
+            var torl = name == 'Height' ? 'Top' : 'Left',
+                    borr = name == 'Height' ? 'Bottom' : 'Right';
+            return this.is(':visible') ? this[0]['client' + name] : num(this, name.toLowerCase()) + num(this, 'padding' + torl) + num(this, 'padding' + borr);
+          };
+
+          jQuery.fn['outer' + name] = function (options) {
+            if (!this[0]) return;
+            var torl = name == 'Height' ? 'Top' : 'Left',
+                    borr = name == 'Height' ? 'Bottom' : 'Right';
+            options = options || false;
+            options = jQuery.extend({ margin: options });
+
+            var val = this.is(':visible') ? this[0]['offset' + name] :
+                    num(this,
+                    name.toLowerCase()) +
+                    num(this, 'border' + torl + 'Width') +
+                    num(this, 'border' + borr + 'Width') +
+                    num(this, 'padding' + torl) +
+                    num(this, 'padding' + borr)
+
+                    ;
+            return val + (options.margin ? (num(this, 'margin' + torl) + num(this, 'margin' + borr)) : 0);
+          };
+        });
+  /*
+  *
+  */
+  jQuery.each(['Left', 'Top'],
+    function (i, name) {
+      jQuery.fn['scroll' + name] = function (val) {
+        if (!this[0]) return;
+        return val != undefined ? this.each(function () {
+          this == window || this == document ? window.scrollTo(name == 'Left' ? val : $(window)['scrollLeft'](),
+        name == 'Top' ? val : $(window)['scrollTop']()) : this['scroll' + name] = val;
+        }) : this[0] == window || this[0] == document ? self[(name == 'Left' ? 'pageXOffset' : 'pageYOffset')] || jQuery.boxModel && document.documentElement['scroll' + name] || document.body['scroll' + name] : this[0]['scroll' + name];
+      };
+      //================================================
+      jQuery.fn['absolute' + name] = function (val) {
+        if (!this[0]) return;
+        a = jQuery(this[0]);
+        m = 0;
+        while (a.length > 0) {
+          val = jQuery(a).infos();
+          if (val.position != "absolute") {
+            m += name == 'Left' ? val.left : val.top;
+            m += name == 'Left' ? val.margin.left : val.margin.top;
+            m += name == 'Left' ? val.margin.right : val.margin.bottom;
+            m += name == 'Left' ? val.borderwidth.left : val.borderwidth.top;
+            //   m += name == 'Left' ? val.borderwidth.right : val.borderwidth.bottom;
+            //   m += name == 'Left' ? val.padding.left : val.padding.top;
+            //   m += name == 'Left' ? val.padding.right : val.padding.bottom;
+            a = jQuery(a).offsetParent();
+          } else
+            break;
+
+        }
+        //306
+
+
+        return m;
+
+
+      };
+
+
+    });
+  //=====================================================
+  jQuery.fn.extend({
+
+    infos: function () {
+      var width = 0, height = 0;
+      var elem = jQuery(this).get(0);
+
+
+      var Left = 0, Top = 0, offset, parentOffset, offsetParent, results;
+      var borderwidth = { width: "0 0 0 0",
+        top: 0,
+        left: 0,
+        right: 0,
+        bottom: 0
+      }
+      var padding = { padding: "0 0 0 0",
+        top: 0,
+        left: 0,
+        right: 0,
+        bottom: 0
+      };
+      var margin = { margin: "0 0 0 0",
+        top: 0,
+        left: 0,
+        right: 0,
+        bottom: 0
+      };
+      //=====================================================================
+      myposition = "";
+      results = {
+        position: "",
+        top: 0,
+        left: 0,
+        width: 0,
+        height: 0,
+        right: 0,
+        bottom: 0,
+        borderwidth: borderwidth,
+        padding: padding,
+        margin: margin, id: "", nodeName: ""
+      };
+      ;
+      if (elem) {
+        id = ""; nodeName = "";
+        if (elem.id) id = elem.id;
+        if (elem.nodeName) nodeName = elem.nodeName;
+
+
+        if (elem == window) {
+
+          myposition = "";
+          width = jQuery(elem).width();
+          height = jQuery(elem).height();
+        } else {
+
+          Css = jQuery(elem).getStyles(elem);
+          myposition = Css.position.toString() || "";
+         
+
+          width = jQuery(elem).outerWidth();
+          height = jQuery(elem).outerHeight();
+
+
+          borderwidth.left = jQuery(elem).Get_Val_int(Css.borderLeftWidth, "", "", 'borderLeftWidth');
+          borderwidth.right = jQuery(elem).Get_Val_int(Css.borderRightWidth, "", "", 'borderRightWidth');
+          borderwidth.top = jQuery(elem).Get_Val_int(Css.borderTopWidth, "", "", 'borderTopWidth');
+          borderwidth.bottom = jQuery(elem).Get_Val_int(Css.borderBottomWidth, "", "", 'borderBottomWidth');
+          try {
+            borderwidth.width = Css.borderWidth;
+          } catch (e) {
+            borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
+          }
+
+
+
+          margin.left = jQuery(elem).Get_Val_int(Css.marginLeft, "", "", 'marginLeft');
+          margin.right = jQuery(elem).Get_Val_int(Css.marginRight, "", "", 'marginRight');
+          margin.top = jQuery(elem).Get_Val_int(Css.marginTop, "", "", 'marginTop');
+          margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom, "", "", 'marginBottom');
+
+
+          try {
+            margin.margin = Css.margin;
+          } catch (e) {
+            margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
+          }
+
+
+          padding.left = jQuery(elem).Get_Val_int(Css.paddingLeft, "", "", 'paddingLeft');
+          padding.right = jQuery(elem).Get_Val_int(Css.paddingRight, "", "", 'paddingRight');
+          padding.top = jQuery(elem).Get_Val_int(Css.paddingTop, "", "", 'paddingTop');
+          padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom, "", "", 'paddingBottom');
+
+          try {
+            padding.padding = Css.padding;
+          } catch (e) {
+            padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
+          }
+        }
+        if (elem == window) {
+          Cl_Position = { Top: 0, Left: 0 };
+        } else {
+          Cl_Position = jQuery(elem).d_position();
+        }
+        Left = Cl_Position.left;
+        Top = Cl_Position.top;
+
+        results = {
+          position: myposition,
+          top: Top,
+          left: Left,
+          width: width,
+          height: height,
+          right: Left + width,
+          bottom: Top + height,
+          borderwidth: borderwidth,
+          margin: margin,
+          padding: padding,
+          id: id,
+          nodeName: nodeName
+        };
+
+        return results
+      } return results;
+    },
+    /*
+    * Cl_Position de l'object elem
+    */
+    d_position: function () {
+      var left = 0, top = 0, elem = this[0], offset, parentOffset, offsetParent, results;
+
+      if (elem) {
+        offsetParent = this.offsetParent();
+        offset = this.offset();
+
+        if (offsetParent) {
+          if (elem == window) {
+            parentOffset = { top: 0, left: 0 };
+          } else if (typeof (offsetParent.offset) != "undefined")
+            parentOffset = offsetParent.offset();
+          else
+            parentOffset = { top: 0, left: 0 };
+
+          if (!offset)
+            offset = { top: 0, left: 0 };
+
+          offset.top -= num(elem, 'marginTop');
+          offset.left -= num(elem, 'marginLeft');
+
+          if (offsetParent.length > 0) {
+            parentOffset.top += num(offsetParent, 'borderTopWidth');
+            parentOffset.left += num(offsetParent, 'borderLeftWidth');
+          } else {
+            parentOffset = { top: 0, left: 0 };
+
+          }
+        } else {
+          parentOffset = { top: 0, left: 0 };
+        }
+
+        results = {
+          top: Math.ceil(offset.top - parentOffset.top), left: Math.ceil(offset.left - parentOffset.left)
+        };
+      } return results;
+    },
+    /*
+    * offsetParent
+    */
+    offsetParent: function () {
+      var offsetParent = this[0].offsetParent;
+      while (offsetParent && (!/^body|html$/i.test(offsetParent.tagName) && jQuery.css(offsetParent, 'position') == 'static'))
+        offsetParent = offsetParent.offsetParent;
+      return jQuery(offsetParent);
+    },
+    // getStyles(Obj) Récupérer la valeur CSS 
+    getStyles: function (elt) {
+      var element = elt;
+      if (window.getComputedStyle) // Mozilla Firefox & cie
+      {
+        var propriete = window.getComputedStyle(element, null);
+      }
+      else if (element.currentStyle) // Microsoft Internet Explorer
+      {
+
+        var propriete = element.currentStyle;
+      }
+      return propriete;
+    },
+    /*
+    * Get_val_int
+    * params: element,valeur maxi
+    * return: valeur entiere
+    */
+
+    Get_Val_int: function (myObj, Maxi_val, Mini_val, prop) {
+      var val = 0;
+      Maxi_val = parseInt(Maxi_val || "0");
+
+      /*
+      - numérique suivie de px ou % ou pt ou em, 
+      - thin, bordure mince, 
+      - medium, bordure moyenne (valeur par défaut), 
+      - thick, bordure épaisse, 
+      - inherit, hérite de son parent (css2).
+      */
+
+      if (!myObj) {
+        return Maxi_val;
+      }
+
+      if (typeof (myObj) == "string") {
+        switch (myObj) {
+          case 'thin':
+            return 1;
+            break;
+          case 'medium':
+            return 2;
+            break;
+          case 'thick':
+            return 4;
+            break;
+          case 'inherit':
+            break;
+          case 'none':
+            return Maxi_val;
+            break;
+          default:
+            break;
+        }
+        el = this.get(0);
+        var reg1 = new RegExp("auto", "g")
+        if (myObj.match(reg1)) {
+          return Maxi_val;
+        }
+        if (prop)
+          myObj = num(el, prop);
+        else {
+          reg1 = new RegExp("px", "g")
+          if (myObj.match(reg1)) {
+
+            myObj = parseInt(myObj);
+
+          } else {
+            reg1 = new RegExp("%", "g")
+            if (myObj.match(reg1)) {
+              val = Math.ceil(myObj * Maxi_val / 100);
+              return val;
+            }
+
+          }
+
+        }
+
+        if (Mini_val)
+          if (myObj < Mini_val) return Maxi_val;
+
+
+        val = parseInt(myObj);
+
+      } else {
+        val = parseInt(myObj);
+      }
+      if (typeof (val) == "NaN") return Maxi_val;
+      return val;
+    }
+  });
+  /*
+  *
+  */
+  function num(el, prop) {
+    return parseInt(jQuery.curCSS(el.jquery ? el[0] : el, prop, true)) || 0;
+  };
+
+  myjQuery = jQuery;
+  my$ = $;
+
+})(jQuery);
